

package Intento1;



import com.jme.input.action.InputActionEvent;
import com.jme.input.action.KeyInputAction;


public class AvanzarRetroceder extends KeyInputAction {
    public static final int FORWARD = 0;
    public static final int BACKWARD = 1;
    
    private moto node;
    private int direction;

    
    public AvanzarRetroceder(moto node, int direction) {
        this.node = node;
        this.direction = direction;
    }

    /**
     * la accion llama a los metodos de accelerate o brake que son los que ajustan su velocidad
     */

    public void performAction(InputActionEvent evt) {
        if(direction == FORWARD) {
            node.accelerate(evt.getTime());
        } else if(direction == BACKWARD){
            node.brake(evt.getTime());
        }
    }
}